Bug 1890900

Summary: opam-2.0.8 version update
Product: [Fedora] Fedora Reporter: Anton Kochkov <anton.kochkov>
Component: opamAssignee: Robin Lee <robinlee.sysu>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: rosser.bjr
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: opam-2.0.8-1.fc33 opam-2.0.8-1.fc34 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-27 01:01:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Anton Kochkov 2020-10-23 09:30:24 UTC
Opam 2.0.7 is available since April 21, 2020. It fixes a few important bugs

https://github.com/ocaml/opam/releases/tag/2.0.7

- Fix opam installer opam file [#4058 @rjbou]
- Fix various warnings [#4132 @rjbou @AltGr - fix #4100]
- Fix dune 2.5.0 promote-install-files duplication [#4132 @rjbou ]
- opam exec: display command not found message [#4133 @rjbou - fix #4131]

Comment 1 Anton Kochkov 2021-03-15 12:02:12 UTC
Opam 2.0.8 is available since February 8, 2021.

https://github.com/ocaml/opam/releases/tag/2.0.8

Sandbox

- No error when linked directory doesn't exist (e.g. XDG defined) [#4278 @kit-ty-kate]
- Add quotes to avoid space unwanted behaviors [#4278 @kit-ty-kate]
- Handle CCACHE_DIR environment variable in sandbox script. [#4087 @rjbou - fix #4079]
- Follow links of ~/.cache & ~/.cache/dune for bwrap call. [#4087 @rjbou - fix #4068]
- Don't overwrite user's sandbow script modification. [#4020 #4092 @rjbou]

Install

- The stdout of pre- and post-session hooks is now propagated to the user [#4382 @AltGr - fix #4359]
- Run switch pre/post sessions hooks [#4476 @rjbou - fix #4472]

Build

- Use version var in opam file instead of equal current version number in opamlib dependencies [#4178 @rjbou]
- Opam file build using dune [#4178 @rjbou #4229 @kit-ty-kate - fix #4173]
- Update opam file to 2.0 [#4371 @AltGr]

Internal

- Fix arch detection when using 32bit mode on ARM64 [#4462 @kit-ty-kate]
- Fix arch detection of i486 [#4462 @kit-ty-kate]

Comment 2 Fedora Admin user for bugzilla script actions 2021-05-07 01:33:51 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Admin user for bugzilla script actions 2021-05-25 12:40:30 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Fedora Update System 2021-07-18 06:45:15 UTC
FEDORA-2021-8efca7e417 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8efca7e417

Comment 5 Fedora Update System 2021-07-19 01:00:03 UTC
FEDORA-2021-798311b72b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-798311b72b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-798311b72b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-07-19 01:53:17 UTC
FEDORA-2021-8efca7e417 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8efca7e417`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8efca7e417

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-07-27 01:01:58 UTC
FEDORA-2021-8efca7e417 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-07-27 01:04:16 UTC
FEDORA-2021-798311b72b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.